be.cin.mycarenet._1_0.carenet.types

## Class SingleNurseContractualCareResponse

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SingleNurseContractualCareResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:23+01:00",
                 comments="JAXB RI v2.3.7")
      public class SingleNurseContractualCareResponse
      extends Object
      implements Serializable

  Java class for SingleNurseContractualCareResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SingleNurseContractualCareResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <sequence>
                   <element name="CareReceiverId" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverStrictIdType"/>
                   <element name="MessageFault" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageFaultType"/>
                 </sequence>
                 <sequence>
                   <element name="CareReceiverDetail" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverDetailType"/>
                   <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}NurseContractualCareResponseDetail"/>
                 </sequence>
               </choice>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}NurseContractualCareRequestDetail"/>
             </sequence>
             <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleNurseContractualCareResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtCareReceiverDetailType` | `getCareReceiverDetail()` Gets the value of the careReceiverDetail property.
    `ExtCareReceiverStrictIdType` | `getCareReceiverId()` Gets the value of the careReceiverId property.
    `MessageFaultType` | `getMessageFault()` Gets the value of the messageFault property.
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `NurseContractualCareRequestDetail` | `getNurseContractualCareRequestDetail()` Gets the value of the nurseContractualCareRequestDetail property.
    `NurseContractualCareResponseDetail` | `getNurseContractualCareResponseDetail()` Gets the value of the nurseContractualCareResponseDetail property.
    `String` | `getReceiverReference()` Gets the value of the receiverReference property.
    `String` | `getSenderReference()` Gets the value of the senderReference property.
    `String` | `getVersion()` Gets the value of the version property.
    `boolean` | `isDuplicate()` Gets the value of the duplicate property.
    `boolean` | `isSynchronous()` Gets the value of the synchronous property.
    `boolean` | `isTestFlag()` Gets the value of the testFlag property.
    `void` | `setCareReceiverDetail(ExtCareReceiverDetailType value)` Sets the value of the careReceiverDetail property.
    `void` | `setCareReceiverId(ExtCareReceiverStrictIdType value)` Sets the value of the careReceiverId property.
    `void` | `setDuplicate(boolean value)` Sets the value of the duplicate property.
    `void` | `setMessageFault(MessageFaultType value)` Sets the value of the messageFault property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setNurseContractualCareRequestDetail(NurseContractualCareRequestDetail value)` Sets the value of the nurseContractualCareRequestDetail property.
    `void` | `setNurseContractualCareResponseDetail(NurseContractualCareResponseDetail value)` Sets the value of the nurseContractualCareResponseDetail property.
    `void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
    `void` | `setSenderReference(String value)` Sets the value of the senderReference property.
    `void` | `setSynchronous(boolean value)` Sets the value of the synchronous property.
    `void` | `setTestFlag(boolean value)` Sets the value of the testFlag property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleNurseContractualCareResponse

          public SingleNurseContractualCareResponse()

  - ### Method Detail

    - #### getCareReceiverDetail

          public ExtCareReceiverDetailType getCareReceiverDetail()

      Gets the value of the careReceiverDetail property.
      Returns:
        possible object is `ExtCareReceiverDetailType`

    - #### setCareReceiverDetail

          public void setCareReceiverDetail(ExtCareReceiverDetailType value)

      Sets the value of the careReceiverDetail property.
      Parameters:
        `value` - allowed object is `ExtCareReceiverDetailType`

    - #### getNurseContractualCareResponseDetail

          public NurseContractualCareResponseDetail getNurseContractualCareResponseDetail()

      Gets the value of the nurseContractualCareResponseDetail property.
      Returns:
        possible object is `NurseContractualCareResponseDetail`

    - #### setNurseContractualCareResponseDetail

          public void setNurseContractualCareResponseDetail(NurseContractualCareResponseDetail value)

      Sets the value of the nurseContractualCareResponseDetail property.
      Parameters:
        `value` - allowed object is `NurseContractualCareResponseDetail`

    - #### getCareReceiverId

          public ExtCareReceiverStrictIdType getCareReceiverId()

      Gets the value of the careReceiverId property.
      Returns:
        possible object is `ExtCareReceiverStrictIdType`

    - #### setCareReceiverId

          public void setCareReceiverId(ExtCareReceiverStrictIdType value)

      Sets the value of the careReceiverId property.
      Parameters:
        `value` - allowed object is `ExtCareReceiverStrictIdType`

    - #### getMessageFault

          public MessageFaultType getMessageFault()

      Gets the value of the messageFault property.
      Returns:
        possible object is `MessageFaultType`

    - #### setMessageFault

          public void setMessageFault(MessageFaultType value)

      Sets the value of the messageFault property.
      Parameters:
        `value` - allowed object is `MessageFaultType`

    - #### getNurseContractualCareRequestDetail

          public NurseContractualCareRequestDetail getNurseContractualCareRequestDetail()

      Gets the value of the nurseContractualCareRequestDetail property.
      Returns:
        possible object is `NurseContractualCareRequestDetail`

    - #### setNurseContractualCareRequestDetail

          public void setNurseContractualCareRequestDetail(NurseContractualCareRequestDetail value)

      Sets the value of the nurseContractualCareRequestDetail property.
      Parameters:
        `value` - allowed object is `NurseContractualCareRequestDetail`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDuplicate

          public boolean isDuplicate()

      Gets the value of the duplicate property.

    - #### setDuplicate

          public void setDuplicate(boolean value)

      Sets the value of the duplicate property.

    - #### isTestFlag

          public boolean isTestFlag()

      Gets the value of the testFlag property.

    - #### setTestFlag

          public void setTestFlag(boolean value)

      Sets the value of the testFlag property.

    - #### getSenderReference

          public String getSenderReference()

      Gets the value of the senderReference property.
      Returns:
        possible object is `String`

    - #### setSenderReference

          public void setSenderReference(String value)

      Sets the value of the senderReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceiverReference

          public String getReceiverReference()

      Gets the value of the receiverReference property.
      Returns:
        possible object is `String`

    - #### setReceiverReference

          public void setReceiverReference(String value)

      Sets the value of the receiverReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSynchronous

          public boolean isSynchronous()

      Gets the value of the synchronous property.

    - #### setSynchronous

          public void setSynchronous(boolean value)

      Sets the value of the synchronous property.

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.